
TYPO3.Neos - Task # 8639

Status: Resolved Priority: Should have
Author: Sebastian Michaelsen Category:
Created: 2010-07-03 Assigned To: Sebastian Kurfuerst
Updated: 2012-08-31 Due date:
Subject: F3\Party\Domain\Model\PersonName->getFullName() has wrong spaces around the name
Description

The fullName of a PersonName is not built up correctly concerning the spaces.

I refactored the generation of fullName and added a Unit Test.

History
#1 - 2010-07-03 23:41 - Sebastian Michaelsen
- File fullName_v2.patch added

v2 has a tweak in the testcase (namespace was overqualified)

#2 - 2010-07-06 13:21 - Sebastian Kurfuerst
- Target version set to 550

#3 - 2010-07-06 16:41 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst

#4 - 2010-07-06 16:53 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

thanks for the patch, it is now committed.

#5 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (550)

#6 - 2012-08-31 10:39 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos

Files
fullName.patch 3.5 kB 2010-07-03 Sebastian Michaelsen
fullName_v2.patch 3.4 kB 2010-07-03 Sebastian Michaelsen
